%Read and plot data

clear all;


fptr=fopen('Field_PW_E45_c01_zeta05','rt')

  size=fscanf(fptr,'%d\n',[1 1]);
  for m=1:size,  
      A=fscanf(fptr,'%f %f %f\n',[1 3]);
      y1(m)=A(1,1);
      Ez1(m)=A(1,2)+j*A(1,3); 
  end
  fclose(fptr);

  
  fptr=fopen('Field_PW_E45_cpi_zeta05','rt')

  size=fscanf(fptr,'%d\n',[1 1]);
  for m=1:size,  
      A=fscanf(fptr,'%f %f %f\n',[1 3]);
      y2(m)=A(1,1);
      Ez2(m)=A(1,2)+j*A(1,3); 
  end
  fclose(fptr);

  fptr=fopen('Field_PW_E45_c45_zeta05','rt')

  size=fscanf(fptr,'%d\n',[1 1]);
  for m=1:size,  
      A=fscanf(fptr,'%f %f %f\n',[1 3]);
      y3(m)=A(1,1);
      Ez3(m)=A(1,2)+j*A(1,3); 
  end
  fclose(fptr);

  
  
  hold off
  d=2; %interfocal distance
  plot(y1/d,abs(Ez1),'k',y2/d,abs(Ez2),'b',y3/d,abs(Ez3),'r')
  title('Total electric field along the y axis')
  ylabel('|E_z| Along y-axis')
  xlabel('y/d')
  grid on
  hold on
  axis([-1 2 0 3])
  