%Read and plot data

clear all;


fptr=fopen('Field_H_Line_30_c01_zeta2','rt')

  size=fscanf(fptr,'%d\n',[1 1]);
  for m=1:size,  
      A=fscanf(fptr,'%f %f %f %d\n',[1 4]);
      y1(m)=A(1,1);
      Hz1(m)=A(1,2)+j*A(1,3); 
  end
  fclose(fptr);

  
  fptr=fopen('Field_H_Line_30_cpi_zeta2','rt')

  size=fscanf(fptr,'%d\n',[1 1]);
  for m=1:size,  
      A=fscanf(fptr,'%f %f %f %d\n',[1 4]);
      y2(m)=A(1,1);
      Hz2(m)=A(1,2)+j*A(1,3); 
  end
  fclose(fptr);

  fptr=fopen('Field_H_Line_30_c45_zeta2','rt')

  size=fscanf(fptr,'%d\n',[1 1]);
  for m=1:size,  
      A=fscanf(fptr,'%f %f %f %d\n',[1 4]);
      y3(m)=A(1,1);
      Hz3(m)=A(1,2)+j*A(1,3); 
  end
  fclose(fptr);

  
  
  hold off
  d=2; %interfocal distance
  plot(y1/d,abs(Hz1),'k',y2/d,abs(Hz2),'b',y3/d,abs(Hz3),'r')
  title('Total magnetic field along the y axis')
  ylabel('|H_z| Along y-axis')
  xlabel('y/d')
  grid on
  hold on
  axis([-1 2 0 4])
  